// Media Query
@mixin mq($value, $constraint: max, $feature: width) {
  @media screen and (#{$constraint}-#{$feature}: $value) {
    @content;
  }
}

//Grid
@mixin grid-2 {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-gap: 4rem;

  @include mq($phone) {
    grid-template-columns: 1fr;
  }
}

@mixin grid-4 {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 3rem;

  @include mq($tablet-landscape) {
    grid-template-columns: repeat(2, 1fr);
  }

  @include mq($tablet) {
    grid-template-columns: 1fr;
  }
}

//Flex
@mixin flex-justify {
  display: flex;
  justify-content: space-between;
}

@mixin flex-align {
  display: flex;
  align-items: center;
}

// Hover underline
@mixin hover-underline {
  position: relative;
  
  &:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    height: 0.1rem;
    width: 0;
    transition: all 0.3s ease-in;
  }

  &:hover {
    &:after {
      width: 100%;
    }
  }
}

//Other
@mixin transition-effect {
  transition: all 0.3s ease;
}

@mixin hover-zoom {
  transition: all 0.5s ease;

  &:hover {
    img {
      transition: all 0.3s ease;
      transform: scale(1.1);
    }
  }
}

@mixin bckg {
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}